// ALFA
scalar jj=0; scalar sum=0; scalar kk=0;  ii=0; scalar ww=0;
 while(jj<(nx*ny*nz)){ 
	 sum=sum+fi[jj]*fi[jj]*(1/vv)*dx*dz;
    
	 
	 if (kk==(nx-1))
	 {   
         alfa[ii]=sum;
		 kk=0; 
		 ii=ii+1;
		 sum=0;
	 } else
	 {
	      kk=kk+1;
	 }
	    if(ww==(nx*ny-1)){
		 ww=0; 
		 ii=0;
	 }else{
		 ww=ww+1;		 
	 }
	 jj=jj+1;
	 
    }
	Info<<"alfa "<<endl;
	alfa.write();
		
// DELTA
jj=0; sum=0; kk=0; ii=0; ww=0;
 while(jj<(nx*ny*nz)){ 
     sum=sum+fi[jj]*(DD[jj]+dDD[jj])*fi[jj]*dx*dz;
     
	 
	 if (kk==(nx-1))
	 {   
         delta[ii]=sum;
		 kk=0; 
		 ii=ii+1;
		 sum=0;
	 }else
	 {
	      kk=kk+1;
	 }
	 if(ww==(nx*ny-1)){
		 ww=0; 
		 ii=0;
	 }else{
		 ww=ww+1;		 
	 }
	 jj=jj+1;
    }
	Info<<"delta "<<endl;
	delta.write();
		
// GAMMA1
jj=0; sum=0; kk=0; ii=0; ww=0;
 while(jj<(nx*ny*nz)){ 
	 sum=sum+fi[jj]*((DD[jj]+dDD[jj])*grad_fi_y[jj]+grad_DD_fi_y[jj])*dx*dz;
	 
	 
	 if (kk==(nx-1))
	 {   
         gamma[ii]=sum;
		 kk=0; 
		 ii=ii+1;
		 sum=0;
	 } else
	 {
	      kk=kk+1;
	 }
if(ww==(nx*ny-1)){
		 ww=0; 
		 ii=0;
	 }else{
		 ww=ww+1;		 
	 }
	 jj=jj+1;
	 
    }
	Info<<"gamma "<<endl;
	gamma.write();
	
	
// ETA
jj=0; sum=0; kk=0; ii=0; ww=0;
 while(jj<(nx*ny*nz)){ 
       sum=sum+fi[jj]*(lap_dDD_fi[jj]+(dnisf[jj]-ds[jj])*fi[jj])*dx*dz;
	 
	 if (kk==(nx-1))
	 {   
         eta[ii]=sum;
		 kk=0; 
		 ii=ii+1;
		 sum=0;
	 } else
	 {
	     kk=kk+1;
	 }
	 if(ww==(nx*ny-1)){
		 ww=0; 
		 ii=0;
	 }else{
		 ww=ww+1;		 
	 }

	 jj=jj+1;

 }
	Info<<"eta "<<endl;
	eta.write();
	


